
public class RegionsBean extends BaseBean {
	private LazyDataModel<Regions> regionsLazyDataModel;
	private String searchString;
	private SortOrder sortOrder = SortOrder.unsorted;
	 		
	public LazyDataModel<Regions> getRegionsLazyDataModel() {
		if(regionsLazyDataModel == null) {
			this.regionsLazyDataModel = new LazyDataModel<Regions>() {
				private static final long serialVersionUID = 1L;
	
				@Override
				public List<Regions> load(int first, int pageSize, String sortField, boolean sortOrder, Map<String, String> filters) {
					List<Regions> temp = new ArrayList<Regions>();
					String condition = "dealer_id="+getUser().getDealer().getId();
					try {
						if (searchString != null && searchString.length() > 0) {
							condition += " and (id like '%"+searchString+"%' or name like '%"+searchString+"%')";
						}
						temp = getServiceLocator().getRegionsService().get(first,pageSize, sortField, sortOrder, condition);
						int rowCount = getServiceLocator().getRegionsService().getCount(condition);
						if(rowCount==0){
							rowCount++;
						}
						setRowCount(rowCount);
					} catch (SDException e) {
						logger.error("Failed to get Regions", e);
						Messages.addLocalizedError("Regions.Load.Failed");
					}
					return temp;
				}
			};
			regionsLazyDataModel.setRowCount(1);	
		}
		return regionsLazyDataModel;
	}
			
	public String getSearchString() {
		return searchString;
	}

	public void setSearchString(String searchString) {
		this.searchString = searchString;
	}
	
	public void sortBy() {
		sortOrder = SortOrder.unsorted;
        if (sortOrder.equals(SortOrder.ascending)) {
        	sortOrder = SortOrder.descending;
        } else {
        	sortOrder = SortOrder.ascending;
        }
	}
    
}